package api

import (
	"fmt"

	"github.com/gin-gonic/gin"
)

// RegRouters 注册路由
func RegRouters(svc *Service) {

	boxcost := svc.NewGinRouter("/" + svc.Conf.Name)
	boxcost.group.Use(Logger())

	//数据存储
	boxcost.POST("/save/policy", ServiceObsUploadPolicy)
	// boxcost.GET("/printr", Printr)
	// boxcost.GET("/genData", GenData)
	// boxcost.GET("/searchData", SearchData)

	// 材料管理
	Material(boxcost)

	// 工艺管理
	Craft(boxcost)

	// 供应商管理
	Supplier(boxcost)

	// 供应商价格管理
	SupplierPrice(boxcost)

	// 包装管理
	Pack(boxcost)

	// 生产计划管理
	ProductPlan(boxcost)

	// 单据管理
	Bill(boxcost)

	BillProduce(boxcost)

	//设置
	Setting(boxcost)

	// 签名管理
	Signature(boxcost)

	// 统计报表
	Report(boxcost)
}

func Logger() gin.HandlerFunc {

	return func(c *gin.Context) {
		// 开始时间
		// start := time.Now()
		// 处理请求
		c.Next()
		// 结束时间
		// end := time.Now()
		//执行时间
		// latency := end.Sub(start)

		path := c.Request.URL.Path

		clientIP := c.ClientIP()
		// method := c.Request.Method
		// statusCode := c.Writer.Status()

		out := fmt.Sprintf("%15s=> %s", clientIP, path)
		fmt.Println(out)
	}
}
