package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 外箱
type Outbox struct {
	Id   primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name string             `bson:"name,omitempty" json:"name"`
	Norm string             `bson:"norm,omitempty" json:"norm"`
	/*
		材质要求
		验收标准
		结算方式
		其他
	*/
	Remarks      []*Remark `bson:"remarks,omitempty" json:"remarks"`
	DeliveryTime time.Time `bson:"deliveryTime,omitempty" json:"deliveryTime"`
	CreateTime   time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime   time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}

type Remark struct {
	Key   string `bson:"key,omitempty" json:"key"`
	Value string `bson:"value,omitempty" json:"value"`
}

// 外箱
type OutboxBill struct {
	Id   primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name string             `bson:"name,omitempty" json:"name"`
	Norm string             `bson:"norm,omitempty" json:"norm"`
	/*
		材质要求
		验收标准
		结算方式
		其他
	*/
	Remarks      []*Remark `bson:"remarks,omitempty" json:"remarks"`
	DeliveryTime time.Time `bson:"deliveryTime,omitempty" json:"deliveryTime"`
	CreateTime   time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime   time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
