package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 生产计划
type ProductPlan struct {
	Id   primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	Name string             `bson:"name,omitempty" json:"name"`
	// 包装 待生产的产品
	Pack       *Pack  `bson:"pack,omitempty" json:"pack"`
	Thumbnail  string `bson:"thumbnail,omitempty" json:"thumbnail"`
	CreateUser string `bson:"createUser,omitempty" json:"createUser"`

	//生产数量
	Total int `bson:"total,omitempty" json:"total"`

	//状态
	Status string `bson:"status,omitempty" json:"status"`

	//总价
	TotalPrice float64 `bson:"totalPrice,omitempty" json:"totalPrice"`

	UpdateTime time.Time `bson:"updteTime,omitempty" json:"updateTime"`

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
}
