package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 供应商价格
type SupplierPrice struct {
	Id primitive.ObjectID `bson:"_id,omitempty" json:"_id"` //商品Id

	//商品Id
	ProductId primitive.ObjectID `bson:"productId,omitempty" json:"productId"`

	SupplierId primitive.ObjectID `bson:"supplierId,omitempty" json:"supplierId"`

	Price float64 `bson:"price,omitempty" json:"price"` //价格

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`

	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}

// 供应商价格
type SupplierCalcPrice struct {
	Id primitive.ObjectID `bson:"_id,omitempty" json:"_id"` //商品Id

	SupplierId primitive.ObjectID `bson:"supplierId,omitempty" json:"supplierId"`

	Calc *PriceCalc `bson:"calc,omitempty" json:"calc"` //计价方案

	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`

	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
